Subject: bug#71380: 30.0.50; Submitting php-ts-mode, new major mode for php

From: Andrea Corallo <[email-masked]>
Date: Thu, 06 Jun 2024 10:54:12 -0400

Vincenzo Pupillo <[email-masked]> writes:

> Hi, 
> I would like to submit php-ts-mode. 
> This major mode this major mode, in addition to font-lock for PHP implements the following features:
> * font-lock for html, javascript, css and phpdoc.
> * six different indentation styles (PSR, PEAR, Zend, Drupal, Wordpress, Symfony).
> * Imenu
> * Flymake
> * Which-function
> * a helper function to simplify the installation of parsers, in versions used to develop major-mode
> * PHP built-in server support
> * Shell interaction: execute PHP code in an inferior PHP process.
>
>
> I completed the assignment process in March 2023.
> Thank you.
>
> Vincenzo

Ciao Vincenzo,

applying the patch to the tree and building I see this warning is
introduced on my machine.

'Warning (treesit): Cannot activate tree-sitter, because language grammar for html is unavailable (not-found):'

Also, maybe you want to add ";; Maintainer:" as well with your name so
we know who to bother in case? :)

  Andrea